=== debian/control ===
Source: node-graphlibrary
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Build-Depends:
 debhelper (>= 10)
 , nodejs (>= 6)
Standards-Version: 4.2.1
Homepage: https://github.com/tylingsoft/graphlibrary#readme
Vcs-Git: https://salsa.debian.org/js-team/node-graphlibrary.git
Vcs-Browser: https://salsa.debian.org/js-team/node-graphlibrary

Package: node-graphlibrary
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs (>= 6)
 , node-lodash (>= 4.17.5)
Description: directed and undirected multi-graph library
 Graphlibrary is a JavaScript library that provides data structures for
 undirected and directed multi-graphs along with algorithms that can be used
 with them.
 .
 Graphlibrary is not built from scratch, it's based on dagrejs/graphlib. And it
 is designed as an out-of-box replacement for dagrejs/graphlib.
 .
 Node.js is an event-based server-side JavaScript engine.
