=== debian/control ===
Source: node-graphlibrary
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>, Nilesh Patra <nilesh@debian.org>
Section: javascript
Testsuite: autopkgtest-pkg-nodejs
Priority: optional
Build-Depends: debhelper-compat (= 13),
               nodejs,
               node-lodash <!nocheck>,
               dh-sequence-nodejs,
               rollup,
               terser,
               node-rollup-plugin-node-resolve (>= 11~),
               node-rollup-plugin-buble,
               node-rollup-plugin-commonjs (>= 15~),
               node-mocha,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/js-team/node-graphlibrary
Vcs-Git: https://salsa.debian.org/js-team/node-graphlibrary.git
Homepage: https://github.com/dagrejs/graphlib#readme
Rules-Requires-Root: no

Package: node-graphlibrary
Architecture: all
Provides: node-graphlib
Depends: ${misc:Depends},
         nodejs,
         node-lodash,
         node-mocha,
         node-assert
Description: directed and undirected multi-graph library
 Graphlibrary is a JavaScript library that provides data structures for
 undirected and directed multi-graphs along with algorithms that can be used
 with them.
 .
 In addition to a core graph API, it also comes with implementations for
 many common graph algorithms.
 .
 Node.js is an event-based server-side JavaScript engine.
