=== debian/watch ===
version=4
# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,pgpmode=none,repacksuffix=+dfsg,dversionmangle=auto,oversionmangle=s/^2.1.8$/2.2.0+really2.1.8/" \
 https://registry.npmjs.org/graphlib https://registry.npmjs.org/graphlib/-/graphlib-(\d[\d\.]*)@ARCHIVE_EXT@
