## node-graphlibrary 2.2.0+really2.1.8+repack

=== debian/changelog ===
node-graphlibrary (2.2.0+really2.1.8+repack-4) unstable; urgency=medium

  * Team Upload.
  * d/clean: Cleanup dist dir (Closes: #1045183)
  * Drop Redundant "Rules-Requires-Root: no"
  * Bump Standards-Version to 4.7.2 (no changes needed)
  * Drop myself from uploaders

 -- Nilesh Patra <nilesh@debian.org>  Sat, 01 Nov 2025 19:35:00 +0530

node-graphlibrary (2.2.0+really2.1.8+repack-3) unstable; urgency=medium

  * Team upload
  * Fix rollup config for rollup 3 (Closes: #1022625)

 -- Yadd <yadd@debian.org>  Wed, 26 Oct 2022 12:24:23 +0200

node-graphlibrary (2.2.0+really2.1.8+repack-2) unstable; urgency=medium

  * Team upload
  * Fix rollup configuration for recent @rollup/plugin-node-resolve
    (Closes: #1022406)

 -- Yadd <yadd@debian.org>  Sun, 23 Oct 2022 18:38:39 +0200

node-graphlibrary (2.2.0+really2.1.8+repack-1) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ Yadd ]
  * Declare compliance with policy 4.6.1
  * Drop dependency to nodejs
  * download from GitHub, not from npm registry
  * Embed typescript declarations and repack

 -- Yadd <yadd@debian.org>  Tue, 02 Aug 2022 08:18:19 +0200
