=== debian/control ===
Source: node-graphlibrary
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Build-Depends: debhelper-compat (= 13)
 , dh-sequence-nodejs
 , node-lodash <!nocheck>
 , node-mocha
 , node-rollup-plugin-buble
 , node-rollup-plugin-commonjs (>= 15~)
 , node-rollup-plugin-node-resolve (>= 11~)
 , rollup
 , terser
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/js-team/node-graphlibrary
Vcs-Git: https://salsa.debian.org/js-team/node-graphlibrary.git
Homepage: https://github.com/dagrejs/graphlib
Testsuite: autopkgtest-pkg-nodejs

Package: node-graphlibrary
Architecture: all
Depends: node-assert
 , node-lodash
 , node-mocha
 , ${misc:Depends}
Provides: ${nodejs:Provides}
Description: directed and undirected multi-graph library
 Graphlibrary is a JavaScript library that provides data structures for
 undirected and directed multi-graphs along with algorithms that can be used
 with them.
 .
 In addition to a core graph API, it also comes with implementations for
 many common graph algorithms.
 .
 Node.js is an event-based server-side JavaScript engine.
