=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Tell nodejs to look for embedded modules
export NODE_PATH := ${CURDIR}

%:
	dh $@

override_dh_auto_build:
	rollup -c debian/rollup.config.js lib/index.js -n graphlib -f umd -o dist/graphlib.js
	rollup -c debian/rollup.config.js lib/index.js -f cjs -o dist/graphlib.core.js
	terser dist/graphlib.js -c -m -o dist/graphlib.min.js
	terser dist/graphlib.core.js -c -m -o dist/graphlib.core.min.js
