=== debian/watch ===
version=4
opts=\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-graphlib-$1/ \
 https://github.com/dagrejs/graphlib/tags .*/archive.*/v?([\d\.]+).tar.gz group

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,component=types-graphlib,ctype=nodejs,pgpmode=none,filenamemangle=s/^.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-types-graphlib-$1/" \
 https://registry.npmjs.org/@types/graphlib https://registry.npmjs.org/@types/graphlib/-/graphlib-([\d\.]+)@ARCHIVE_EXT@ group
